Keyless Certificates

KeylessCertificates

Methods

list(, ): <>
get/zones/{zone_id}/keyless_certificates

List all Keyless SSL configurations for a given zone.

get(, , ):
get/zones/{zone_id}/keyless_certificates/{keyless_certificate_id}

Get details for one Keyless SSL configuration.

create(, ):
post/zones/{zone_id}/keyless_certificates

Creates a Keyless SSL configuration that allows SSL/TLS termination without exposing private keys to Cloudflare. Keys remain on your infrastructure.

edit(, , ):
patch/zones/{zone_id}/keyless_certificates/{keyless_certificate_id}

This will update attributes of a Keyless SSL. Consists of one or more of the following: host,name,port.

delete(, , ):
delete/zones/{zone_id}/keyless_certificates/{keyless_certificate_id}

Removes a Keyless SSL configuration. SSL connections will no longer use the keyless server for cryptographic operations.

Security

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example: Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY

Accepted Permissions (at least one required)

SSL and Certificates Write

Parameters
keylessCertificateId: string
(maxLength: 32)

Identifier.

zone_id: string
(maxLength: 32)

Identifier.

Returns
KeylessCertificateDeleteResponse{
id?: string
(maxLength: 32)

Identifier.

Request example
200Example

Domain types

KeylessCertificate{…}
Tunnel{…}

Configuration for using Keyless SSL through a Cloudflare Tunnel